# value_prep< T, AT > Class Template Reference

`#include <_surface.h>`

List of all members.

## Public Types

typedef T | value_type
typedef AT | accumulator_type

## Public Member Functions

accumulator_type | cook (const value_type &x) const
value_type | uncook (const accumulator_type &x) const

## Detailed Description

### template<typename T, typename AT>
class value_prep< T, AT >

======================================================================== Extended Template and Library Surface Class Implementation $Id$

Copyright (c) 2002 Robert B. Quattlebaum Jr. Copyright (c) 2008 Chris Moore

This package is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This package is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

=== N O T E S ===========================================================

This is an internal header file, included by other ETL headers. You should not attempt to use it directly.

=========================================================================

Definition at line 45 of file _surface.h.

## Member Typedef Documentation

template<typename T, typename AT>

typedef T value_prep< T, AT >::value_type

Definition at line 48 of file _surface.h.

template<typename T, typename AT>

typedef AT value_prep< T, AT >::accumulator_type

Definition at line 49 of file _surface.h.

## Member Function Documentation

template<typename T, typename AT>

accumulator_type value_prep< T, AT >::cook | ( | const value_type & | x | ) | const`[inline]`

Definition at line 51 of file _surface.h.

template<typename T, typename AT>

value_type value_prep< T, AT >::uncook | ( | const accumulator_type & | x | ) | const`[inline]`

Definition at line 52 of file _surface.h.

The documentation for this class was generated from the following file:

- _surface.h